Get Agent Action
Retrieve details of a specific action by its ID. Returns the action configuration including actionParameters.
GET
/
voice-ai
/
actions
/
{actionId}
Get Agent Action
curl --request GET \
--url https://services.leadconnectorhq.com/voice-ai/actions/{actionId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/voice-ai/actions/{actionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/voice-ai/actions/{actionId}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "507f1f77bcf86cd799439011",
"actionType": "CALL_TRANSFER",
"name": "Transfer to Manager",
"actionParameters": {
"triggerPrompt": "When the caller asks to speak to a manager",
"transferToType": "number",
"transferToValue": "+12345678901",
"triggerMessage": "Let me transfer you to a manager right away",
"hearWhisperMessage": true
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Response
Action details retrieved successfully
Last modified on March 7, 2026
Was this page helpful?
Get Agent Action
curl --request GET \
--url https://services.leadconnectorhq.com/voice-ai/actions/{actionId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/voice-ai/actions/{actionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/voice-ai/actions/{actionId}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "507f1f77bcf86cd799439011",
"actionType": "CALL_TRANSFER",
"name": "Transfer to Manager",
"actionParameters": {
"triggerPrompt": "When the caller asks to speak to a manager",
"transferToType": "number",
"transferToValue": "+12345678901",
"triggerMessage": "Let me transfer you to a manager right away",
"hearWhisperMessage": true
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}